// priority: 0


ServerEvents.recipes(event => {

    // card_item
    event.recipes.gtceu.card_assembler('kubejs:laserio/card_item/from/rubber')
        .itemInputs('1x #forge:dusts/redstone')
        .itemInputs('1x #forge:gems/lapis')
        .itemInputs('4x #forge:gems/quartz')
        .itemInputs('1x #forge:ingots/gold')
        .itemInputs('1x laserio:logic_chip')
        .inputFluids(Fluid.of('gtceu:rubber', 288))
        .itemOutputs('laserio:card_item')
        .itemOutputs('laserio:card_item')
        .itemOutputs('laserio:card_item')
        .itemOutputs('laserio:card_item')
        .duration(100)
        .EUt(8)

    event.recipes.gtceu.card_assembler('kubejs:laserio/card_item/from/polyethylene')
        .itemInputs('2x #forge:dusts/redstone')
        .itemInputs('2x #forge:gems/lapis')
        .itemInputs('6x #forge:gems/quartz')
        .itemInputs('1x #forge:ingots/gold')
        .itemInputs('2x laserio:logic_chip')
        .inputFluids(Fluid.of('gtceu:polyethylene', 144))
        .itemOutputs('laserio:card_item')
        .itemOutputs('laserio:card_item')
        .itemOutputs('laserio:card_item')
        .itemOutputs('laserio:card_item')
        .itemOutputs('laserio:card_item')
        .itemOutputs('laserio:card_item')
        .duration(100)
        .EUt(8)

    event.recipes.gtceu.card_assembler('kubejs:laserio/card_item/from/polytetrafluoroethylene')
        .itemInputs('3x #forge:dusts/redstone')
        .itemInputs('3x #forge:gems/lapis')
        .itemInputs('8x #forge:gems/quartz')
        .itemInputs('1x #forge:ingots/gold')
        .itemInputs('3x laserio:logic_chip')
        .inputFluids(Fluid.of('gtceu:polytetrafluoroethylene', 72))
        .itemOutputs('laserio:card_item')
        .itemOutputs('laserio:card_item')
        .itemOutputs('laserio:card_item')
        .itemOutputs('laserio:card_item')
        .itemOutputs('laserio:card_item')
        .itemOutputs('laserio:card_item')
        .itemOutputs('laserio:card_item')
        .itemOutputs('laserio:card_item')
        .duration(100)
        .EUt(8)

    // card_fluid
    event.recipes.gtceu.card_assembler('kubejs:laserio/card_fluid/from/rubber')
        .itemInputs('1x #forge:dusts/redstone')
        .itemInputs('1x #forge:plates/iron')
        .itemInputs('4x #forge:gems/quartz')
        .itemInputs('1x #forge:ingots/gold')
        .itemInputs('1x laserio:logic_chip')
        .inputFluids(Fluid.of('gtceu:rubber', 288))
        .itemOutputs('laserio:card_fluid')
        .itemOutputs('laserio:card_fluid')
        .itemOutputs('laserio:card_fluid')
        .itemOutputs('laserio:card_fluid')
        .duration(100)
        .EUt(8)

    event.recipes.gtceu.card_assembler('kubejs:laserio/card_fluid/from/polyethylene')
        .itemInputs('2x #forge:dusts/redstone')
        .itemInputs('2x #forge:plates/iron')
        .itemInputs('6x #forge:gems/quartz')
        .itemInputs('1x #forge:ingots/gold')
        .itemInputs('2x laserio:logic_chip')
        .inputFluids(Fluid.of('gtceu:polyethylene', 144))
        .itemOutputs('laserio:card_fluid')
        .itemOutputs('laserio:card_fluid')
        .itemOutputs('laserio:card_fluid')
        .itemOutputs('laserio:card_fluid')
        .itemOutputs('laserio:card_fluid')
        .itemOutputs('laserio:card_fluid')
        .duration(100)
        .EUt(8)

    event.recipes.gtceu.card_assembler('kubejs:laserio/card_fluid/from/polytetrafluoroethylene')
        .itemInputs('3x #forge:dusts/redstone')
        .itemInputs('3x #forge:plates/iron')
        .itemInputs('8x #forge:gems/quartz')
        .itemInputs('1x #forge:ingots/gold')
        .itemInputs('3x laserio:logic_chip')
        .inputFluids(Fluid.of('gtceu:polytetrafluoroethylene', 72))
        .itemOutputs('laserio:card_fluid')
        .itemOutputs('laserio:card_fluid')
        .itemOutputs('laserio:card_fluid')
        .itemOutputs('laserio:card_fluid')
        .itemOutputs('laserio:card_fluid')
        .itemOutputs('laserio:card_fluid')
        .itemOutputs('laserio:card_fluid')
        .itemOutputs('laserio:card_fluid')
        .duration(100)
        .EUt(8)

    // card_energy
    event.recipes.gtceu.card_assembler('kubejs:laserio/card_energy/from/rubber')
        .itemInputs('1x #forge:dusts/redstone')
        .itemInputs('1x #forge:plates/red_alloy')
        .itemInputs('4x #forge:gems/quartz')
        .itemInputs('1x #forge:ingots/gold')
        .itemInputs('1x laserio:logic_chip')
        .inputFluids(Fluid.of('gtceu:rubber', 288))
        .itemOutputs('laserio:card_energy')
        .itemOutputs('laserio:card_energy')
        .itemOutputs('laserio:card_energy')
        .itemOutputs('laserio:card_energy')
        .duration(100)
        .EUt(8)

    event.recipes.gtceu.card_assembler('kubejs:laserio/card_energy/from/polyethylene')
        .itemInputs('2x #forge:dusts/redstone')
        .itemInputs('2x #forge:plates/red_alloy')
        .itemInputs('6x #forge:gems/quartz')
        .itemInputs('1x #forge:ingots/gold')
        .itemInputs('2x laserio:logic_chip')
        .inputFluids(Fluid.of('gtceu:polyethylene', 144))
        .itemOutputs('laserio:card_energy')
        .itemOutputs('laserio:card_energy')
        .itemOutputs('laserio:card_energy')
        .itemOutputs('laserio:card_energy')
        .itemOutputs('laserio:card_energy')
        .itemOutputs('laserio:card_energy')
        .duration(100)
        .EUt(8)

    event.recipes.gtceu.card_assembler('kubejs:laserio/card_energy/from/polytetrafluoroethylene')
        .itemInputs('3x #forge:dusts/redstone')
        .itemInputs('3x #forge:plates/red_alloy')
        .itemInputs('8x #forge:gems/quartz')
        .itemInputs('1x #forge:ingots/gold')
        .itemInputs('3x laserio:logic_chip')
        .inputFluids(Fluid.of('gtceu:polytetrafluoroethylene', 72))
        .itemOutputs('laserio:card_energy')
        .itemOutputs('laserio:card_energy')
        .itemOutputs('laserio:card_energy')
        .itemOutputs('laserio:card_energy')
        .itemOutputs('laserio:card_energy')
        .itemOutputs('laserio:card_energy')
        .itemOutputs('laserio:card_energy')
        .itemOutputs('laserio:card_energy')
        .duration(100)
        .EUt(8)

    // card_redstone
    event.recipes.gtceu.card_assembler('kubejs:laserio/card_redstone/from/rubber')
        .itemInputs('1x #forge:dusts/redstone')
        .itemInputs('1x #forge:foils/red_alloy')
        .itemInputs('4x #forge:gems/quartz')
        .itemInputs('1x #forge:ingots/gold')
        .itemInputs('1x laserio:logic_chip')
        .inputFluids(Fluid.of('gtceu:rubber', 288))
        .itemOutputs('laserio:card_redstone')
        .itemOutputs('laserio:card_redstone')
        .itemOutputs('laserio:card_redstone')
        .itemOutputs('laserio:card_redstone')
        .duration(100)
        .EUt(8)

    event.recipes.gtceu.card_assembler('kubejs:laserio/card_redstone/from/polyethylene')
        .itemInputs('2x #forge:dusts/redstone')
        .itemInputs('2x #forge:foils/red_alloy')
        .itemInputs('6x #forge:gems/quartz')
        .itemInputs('1x #forge:ingots/gold')
        .itemInputs('2x laserio:logic_chip')
        .inputFluids(Fluid.of('gtceu:polyethylene', 144))
        .itemOutputs('laserio:card_redstone')
        .itemOutputs('laserio:card_redstone')
        .itemOutputs('laserio:card_redstone')
        .itemOutputs('laserio:card_redstone')
        .itemOutputs('laserio:card_redstone')
        .itemOutputs('laserio:card_redstone')
        .duration(100)
        .EUt(8)

    event.recipes.gtceu.card_assembler('kubejs:laserio/card_redstone/from/polytetrafluoroethylene')
        .itemInputs('3x #forge:dusts/redstone')
        .itemInputs('3x #forge:foils/red_alloy')
        .itemInputs('8x #forge:gems/quartz')
        .itemInputs('1x #forge:ingots/gold')
        .itemInputs('3x laserio:logic_chip')
        .inputFluids(Fluid.of('gtceu:polytetrafluoroethylene', 72))
        .itemOutputs('laserio:card_redstone')
        .itemOutputs('laserio:card_redstone')
        .itemOutputs('laserio:card_redstone')
        .itemOutputs('laserio:card_redstone')
        .itemOutputs('laserio:card_redstone')
        .itemOutputs('laserio:card_redstone')
        .itemOutputs('laserio:card_redstone')
        .itemOutputs('laserio:card_redstone')
        .duration(100)
        .EUt(8)

    // overclocker_card
    event.recipes.gtceu.card_assembler('kubejs:laserio/overclocker_card/from/rubber')
        .itemInputs('1x #forge:dusts/redstone')
        .itemInputs('1x #forge:plates/gold')
        .itemInputs('1x laserio:logic_chip')
        .inputFluids(Fluid.of('gtceu:rubber', 288))
        .itemOutputs('4x laserio:overclocker_card')
        .duration(100)
        .EUt(8)

    event.recipes.gtceu.card_assembler('kubejs:laserio/overclocker_card/from/polyethylene')
        .itemInputs('2x #forge:dusts/redstone')
        .itemInputs('2x #forge:plates/gold')
        .itemInputs('2x laserio:logic_chip')
        .inputFluids(Fluid.of('gtceu:polyethylene', 144))
        .itemOutputs('6x laserio:overclocker_card')
        .duration(100)
        .EUt(8)

    event.recipes.gtceu.card_assembler('kubejs:laserio/overclocker_card/from/polytetrafluoroethylene')
        .itemInputs('3x #forge:dusts/redstone')
        .itemInputs('3x #forge:plates/gold')
        .itemInputs('3x laserio:logic_chip')
        .inputFluids(Fluid.of('gtceu:polytetrafluoroethylene', 72))
        .itemOutputs('8x laserio:overclocker_card')
        .duration(100)
        .EUt(8)

    // overclocker_node
    event.recipes.gtceu.card_assembler('kubejs:laserio/overclocker_node/from/rubber')
        .itemInputs('1x #forge:dusts/redstone')
        .itemInputs('1x #forge:gems/diamond')
        .itemInputs('1x laserio:logic_chip')
        .inputFluids(Fluid.of('gtceu:rubber', 288))
        .itemOutputs('4x laserio:overclocker_node')
        .duration(100)
        .EUt(8)

    event.recipes.gtceu.card_assembler('kubejs:laserio/overclocker_node/from/polyethylene')
        .itemInputs('2x #forge:dusts/redstone')
        .itemInputs('2x #forge:gems/diamond')
        .itemInputs('2x laserio:logic_chip')
        .inputFluids(Fluid.of('gtceu:polyethylene', 144))
        .itemOutputs('6x laserio:overclocker_node')
        .duration(100)
        .EUt(8)

    event.recipes.gtceu.card_assembler('kubejs:laserio/overclocker_node/from/polytetrafluoroethylene')
        .itemInputs('3x #forge:dusts/redstone')
        .itemInputs('3x #forge:gems/diamond')
        .itemInputs('3x laserio:logic_chip')
        .inputFluids(Fluid.of('gtceu:polytetrafluoroethylene', 72))
        .itemOutputs('8x laserio:overclocker_node')
        .duration(100)
        .EUt(8)

    // logic_chip
    event.recipes.gtceu.card_assembler('kubejs:laserio/logic_chip/from/rubber')
        .itemInputs('1x #forge:dusts/redstone')
        .itemInputs('1x #forge:clay_ball')
        .itemInputs('4x #forge:gems/nether_quartz')
        .itemInputs('1x #forge:ingots/gold')
        .inputFluids(Fluid.of('gtceu:rubber', 288))
        .itemOutputs('8x laserio:logic_chip')
        .duration(100)
        .EUt(8)

    event.recipes.gtceu.card_assembler('kubejs:laserio/logic_chip/from/polyethylene')
        .itemInputs('2x #forge:dusts/redstone')
        .itemInputs('2x #forge:clay_ball')
        .itemInputs('8x #forge:gems/nether_quartz')
        .itemInputs('1x #forge:ingots/gold')
        .inputFluids(Fluid.of('gtceu:polyethylene', 144))
        .itemOutputs('12x laserio:logic_chip')
        .duration(100)
        .EUt(8)

    event.recipes.gtceu.card_assembler('kubejs:laserio/logic_chip/from/polytetrafluoroethylene')
        .itemInputs('3x #forge:dusts/redstone')
        .itemInputs('3x #forge:clay_ball')
        .itemInputs('12x #forge:gems/nether_quartz')
        .itemInputs('1x #forge:ingots/gold')
        .inputFluids(Fluid.of('gtceu:polytetrafluoroethylene', 72))
        .itemOutputs('16x laserio:logic_chip')
        .duration(100)
        .EUt(8)

    // filter_basic
    event.recipes.gtceu.card_assembler('kubejs:laserio/filter_basic/from/rubber')
        .itemInputs('1x #forge:rods/iron')
        .itemInputs('1x #forge:glass_panes/colorless')
        .itemInputs('1x laserio:logic_chip')
        .itemInputs('1x #forge:ingots/gold')
        .inputFluids(Fluid.of('gtceu:rubber', 288))
        .itemOutputs('6x laserio:filter_basic')
        .duration(100)
        .EUt(8)

    event.recipes.gtceu.card_assembler('kubejs:laserio/filter_basic/from/polyethylene')
        .itemInputs('2x #forge:rods/iron')
        .itemInputs('2x #forge:glass_panes/colorless')
        .itemInputs('8x laserio:logic_chip')
        .itemInputs('2x #forge:ingots/gold')
        .inputFluids(Fluid.of('gtceu:polyethylene', 144))
        .itemOutputs('9x laserio:filter_basic')
        .duration(100)
        .EUt(8)

    event.recipes.gtceu.card_assembler('kubejs:laserio/filter_basic/from/polytetrafluoroethylene')
        .itemInputs('3x #forge:rods/iron')
        .itemInputs('3x #forge:glass_panes/colorless')
        .itemInputs('12x laserio:logic_chip')
        .itemInputs('3x #forge:ingots/gold')
        .inputFluids(Fluid.of('gtceu:polytetrafluoroethylene', 72))
        .itemOutputs('12x laserio:filter_basic')
        .duration(100)
        .EUt(8)


    // fin //

})